import java.util.Scanner;

public class Ejercicio03 {
    static final int REGISTROS = 5;
    public static void main(String[] args) {

        ColeccionDeDatos coleccion = new ColeccionDeDatos();
        Scanner entradaNombre = new Scanner(System.in);
        Scanner entradaApellido = new Scanner(System.in);
        Scanner entradaClave = new Scanner(System.in);
        String nombre;
        String apellido;
        String clave;
        for(int i = 0; i < REGISTROS; i++){
            System.out.print("Ingrese nombre: ");
            nombre = entradaNombre.nextLine();
            System.out.print("Ingrese apellido: ");
            apellido = entradaApellido.nextLine();
            coleccion.cargarLista(nombre, apellido);
        }
        coleccion.imprimirListaDatos();
        System.out.print("\nIngresar clave del primer elemento: ");
        clave = entradaClave.nextLine();
        coleccion.imprimirPorClave(clave);
        System.out.print("\nIngresar clave del segundo elemento: ");
        clave = entradaClave.nextLine();
        coleccion.imprimirPorClave(clave);
        entradaApellido.close();
        entradaNombre.close();
        entradaClave.close();
        coleccion.imprimirListaDatos();
    }
}


class ColeccionDeDatos {
    static final int REGISTROS = 5;

    class Registro {
        String clave;
        String valor;
        public Registro(String nombre, String apellido){
            clave =  nombre.charAt(0) + "" + apellido.charAt(0);
            valor = nombre + " " + apellido;
        }
    }

    private Registro[] listaDatos = new Registro[REGISTROS];
    int indice = 0;

    public void cargarLista (String nombre, String apellido) {
        Registro temporal = new Registro(nombre, apellido);
        if(indice < 5){
            listaDatos[indice] = temporal;
            indice++;
        }else{
            System.out.print("Ya no se pueden agregar registros");
        }
    }

    public void imprimirListaDatos() {
        System.out.print("Clave\tValor\n");
        for(int i = 0; i < REGISTROS; i++) {
            System.out.print(listaDatos[i].clave + "\t" + listaDatos[i].valor + "\n");
       }
    }

    public void imprimirPorClave(String clave) {
        System.out.print("Clave\tValor\n");
        if(clave.equals(listaDatos[0].clave)){
             System.out.print(listaDatos[0].clave + "\t" + listaDatos[0].valor);
        }else if (clave.equals(listaDatos[REGISTROS - 1].clave)){
            System.out.print(listaDatos[REGISTROS - 1].clave + "\t" + listaDatos[REGISTROS - 1].valor);
        }else{ 
            System.out.print("\nNo se encontro la clave");
        }
    }

}
